package com.rsjst.hcm.recruit.biz.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.rsjst.hcm.recruit.api.entity.RecruitPositionPojo;
import com.rsjst.hcm.recruit.biz.mapper.RecruitPositionMapper;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @author wangjx
 * @data 2025.2.21
 */
@Slf4j
@Service
@AllArgsConstructor
public class RecruitPositionService
    extends ServiceImpl<RecruitPositionMapper, RecruitPositionPojo> {

  public IPage<RecruitPositionPojo> pageRes(
      Page<RecruitPositionPojo> page, RecruitPositionPojo entity) {
    LambdaQueryWrapper<RecruitPositionPojo> wrapper = Wrappers.lambdaQuery(entity);
    return super.page(page, wrapper);
  }

  @Override
  public boolean updateById(RecruitPositionPojo entity) {
    return super.update(
        entity,
        Wrappers.<RecruitPositionPojo>lambdaUpdate()
            .eq(RecruitPositionPojo::getId, entity.getId())
            // 重写updateById，实现附件为null时，也更新数据库
            .set(RecruitPositionPojo::getFiles, entity.getFiles()));
  }
}
